Prepare docker builds for yoga 26/73326/1
authorCédric Ollivier <cedric.ollivier@orange.com>
Mon, 25 Apr 2022 08:40:27 +0000 (10:40 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Mon, 25 Apr 2022 08:42:37 +0000 (10:42 +0200)
Change-Id: Ieecfc7a51f7440b2c6f576df38922144173062d3
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
.travis.yml
build.sh
docker/benchmarking-cntt/Dockerfile
docker/benchmarking/Dockerfile
docker/core/Dockerfile
docker/healthcheck/Dockerfile
docker/smoke-cntt/Dockerfile
docker/smoke/Dockerfile
docker/vnf/Dockerfile
tox.ini

index ba6310a..196dd95 100644 (file)
@@ -42,8 +42,8 @@ jobs:
       script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-core:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-core:latest
+          --template ${DOCKER_USERNAME}/functest-core:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-core:yoga
     - stage: build all functest images
       script: sudo -E bash build.sh
       env:
@@ -121,23 +121,23 @@ jobs:
       script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-healthcheck:latest
+          --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-healthcheck:yoga
     - script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-smoke:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-smoke:latest
+          --template ${DOCKER_USERNAME}/functest-smoke:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-smoke:yoga
     - script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-benchmarking:latest
+          --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-benchmarking:yoga
     - script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-vnf:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-vnf:latest
+          --template ${DOCKER_USERNAME}/functest-vnf:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-vnf:yoga
     - stage: build all functest cntt images
       script: sudo -E bash build.sh
       env:
@@ -179,10 +179,10 @@ jobs:
       script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-smoke-cntt:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-smoke-cntt:latest
+          --template ${DOCKER_USERNAME}/functest-smoke-cntt:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-smoke-cntt:yoga
     - script: >
         sudo manifest-tool push from-args \
           --platforms linux/amd64,linux/arm,linux/arm64 \
-          --template ${DOCKER_USERNAME}/functest-benchmarking-cntt:ARCH-latest \
-          --target ${DOCKER_USERNAME}/functest-benchmarking-cntt:latest
+          --template ${DOCKER_USERNAME}/functest-benchmarking-cntt:ARCH-yoga \
+          --target ${DOCKER_USERNAME}/functest-benchmarking-cntt:yoga
index effd075..73b98b2 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -16,64 +16,64 @@ arm64_dirs=${arm64_dirs-${amd64_dirs}}
 build_opts=("--pull=true" --no-cache "--force-rm=true")
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+    -e "s|opnfv/functest-core:yoga|${repo}/functest-core:amd64-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-smoke|${repo}/functest-smoke:amd64-latest|g" {} +
+    -e "s|opnfv/functest-smoke:yoga|${repo}/functest-smoke:amd64-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:amd64-latest|g" {} +
+    -e "s|opnfv/functest-benchmarking:yoga|\
+${repo}/functest-benchmarking:amd64-yoga|g" {} +
 for dir in ${amd64_dirs}; do
     (cd "${dir}" &&
         docker build "${build_opts[@]}" \
-            -t "${repo}/functest-${dir##**/}:amd64-latest" .)
-        docker push "${repo}/functest-${dir##**/}:amd64-latest"
+            -t "${repo}/functest-${dir##**/}:amd64-yoga" .)
+        docker push "${repo}/functest-${dir##**/}:amd64-yoga"
     [ "${dir}" != "docker/core" ] &&
-        (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
+        (docker rmi "${repo}/functest-${dir##**/}:amd64-yoga" || true)
 done
 [ -n "${amd64_dirs}" ] &&
-    (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.13 || true)
+    (docker rmi "${repo}/functest-core:amd64-yoga" alpine:3.14 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|alpine:3.13|arm64v8/alpine:3.13|g" {} +
+    -e "s|alpine:3.14|arm64v8/alpine:3.14|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+    -e "s|opnfv/functest-core:yoga|${repo}/functest-core:arm64-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-smoke|${repo}/functest-smoke:arm64-latest|g" {} +
+    -e "s|opnfv/functest-smoke:yoga|${repo}/functest-smoke:arm64-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:arm64-latest|g" {} +
+    -e "s|opnfv/functest-benchmarking:yoga|\
+${repo}/functest-benchmarking:arm64-yoga|g" {} +
 for dir in ${arm64_dirs}; do
     (cd "${dir}" && docker build "${build_opts[@]}" \
-        -t "${repo}/functest-${dir##**/}:arm64-latest" .)
-    docker push "${repo}/functest-${dir##**/}:arm64-latest"
+        -t "${repo}/functest-${dir##**/}:arm64-yoga" .)
+    docker push "${repo}/functest-${dir##**/}:arm64-yoga"
     [ "${dir}" != "docker/core" ] &&
-        (docker rmi "${repo}/functest-${dir##**/}:arm64-latest" || true)
+        (docker rmi "${repo}/functest-${dir##**/}:arm64-yoga" || true)
 done
 [ -n "${arm64_dirs}" ] &&
-    (docker rmi "${repo}/functest-core:arm64-latest" \
-        arm64v8/alpine:3.13 || true)
+    (docker rmi "${repo}/functest-core:arm64-yoga" \
+        arm64v8/alpine:3.14 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|alpine:3.13|arm32v6/alpine:3.13|g" {} +
+    -e "s|alpine:3.14|arm32v6/alpine:3.14|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-core|${repo}/functest-core:arm-latest|g" {} +
+    -e "s|opnfv/functest-core:yoga|${repo}/functest-core:arm-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-smoke|${repo}/functest-smoke:arm-latest|g" {} +
+    -e "s|opnfv/functest-smoke:yoga|${repo}/functest-smoke:arm-yoga|g" {} +
 find . -name Dockerfile -exec sed -i \
-    -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:arm-latest|g" {} +
+    -e "s|opnfv/functest-benchmarking:yoga|\
+${repo}/functest-benchmarking:arm-yoga|g" {} +
 for dir in ${arm_dirs}; do
     (cd "${dir}" && docker build "${build_opts[@]}" \
-        -t "${repo}/functest-${dir##**/}:arm-latest" .)
-    docker push "${repo}/functest-${dir##**/}:arm-latest"
+        -t "${repo}/functest-${dir##**/}:arm-yoga" .)
+    docker push "${repo}/functest-${dir##**/}:arm-yoga"
     [ "${dir}" != "docker/core" ] &&
-        (docker rmi "${repo}/functest-${dir##**/}:arm-latest" || true)
+        (docker rmi "${repo}/functest-${dir##**/}:arm-yoga" || true)
 done
 [ -n "${arm_dirs}" ] &&
-    (docker rmi "${repo}/functest-core:arm-latest" \
-        arm32v6/alpine:3.13 || true)
+    (docker rmi "${repo}/functest-core:arm-yoga" \
+        arm32v6/alpine:3.14 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?
index 46acaa0..74ebd60 100644 (file)
@@ -1,4 +1,4 @@
-FROM opnfv/functest-benchmarking
+FROM opnfv/functest-benchmarking:yoga
 
 COPY testcases.yaml /etc/xtesting/testcases.yaml
 COPY blacklist.yaml /src/functest/functest/opnfv_tests/openstack/rally/blacklist.yaml
index d0957f6..9712ef1 100644 (file)
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:yoga
 
 ARG VMTP_TAG=34a82c9f3598ec7f5d8de0a6d5139b92931db4cc
-ARG NEUTRON_TAG=master
+ARG NEUTRON_TAG=stable/yoga
 
 RUN apk --no-cache add --update libxml2 libxslt && \
     apk --no-cache add --virtual .build-deps --update \
index 29723c7..e188b00 100644 (file)
@@ -1,7 +1,7 @@
 FROM alpine:3.14
 
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/yoga
+ARG OPENSTACK_TAG=stable/yoga
 
 COPY Switch-to-threading.Thread-for-Rally-tasks.patch /tmp/Switch-to-threading.Thread-for-Rally-tasks.patch
 COPY Create-new-server-in-test_create_backup.patch /tmp/Create-new-server-in-test_create_backup.patch
index 404ff2d..1e3fab2 100644 (file)
@@ -1,4 +1,4 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:yoga
 
 ARG ODL_TAG=89b88a0a23561f0bda62338b394ec41655679b2d
 
index a8e8a6f..8542939 100644 (file)
@@ -1,4 +1,4 @@
-FROM opnfv/functest-smoke
+FROM opnfv/functest-smoke:yoga
 
 COPY testcases.yaml /etc/xtesting/testcases.yaml
 COPY tempest_conf.yaml /src/functest/functest/opnfv_tests/openstack/tempest/custom_tests/tempest_conf.yaml
index da42ef9..56933b1 100644 (file)
@@ -1,4 +1,4 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:yoga
 
 ARG PATROLE_TAG=master
 ARG NEUTRON_TEMPEST_TAG=master
index 99f848f..e997c52 100644 (file)
@@ -1,4 +1,4 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:yoga
 
 ARG VIMS_TEST_TAG=release-130
 ARG QUAFF_TAG=59213d6d8ee29433552bb75f505cdc96b0b18909
diff --git a/tox.ini b/tox.ini
index 2c643f3..514095f 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -6,7 +6,7 @@ pip_version = pip==20.2.4
 usedevelop = True
 deps =
   -c{toxinidir}/upper-constraints.txt
-  -c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/master/upper-constraints.txt}
+  -c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/stable/yoga/upper-constraints.txt}
   -r{toxinidir}/requirements.txt
   -r{toxinidir}/test-requirements.txt
 install_command = pip install {opts} {packages}